Subject: 24.3.50; Regression: problem with undo in Mail mode

From: Richard Stallman <[email-masked]>
Date: Mon, 08 Jul 2013 13:29:36 -0400

I type C-x m rms C-c C-s, and it sends the message.
(I am using Mail mode.)  The buffer is marked unmodified.

I type 1, and the buffer becomes modified.
I type C-x u, and it deletes the 1,
but the buffer is still marked as modified.

In Emacs 23.2, that undo also marks the buffer as unmodified again.

Unfortunately I can't try intermediate versions; they don't
remain in my machine.

In GNU Emacs 24.3.50.2 (mips64el-unknown-linux-gnu, GTK+ Version 2.20.1)
 of 2013-05-25 on chiefs-gnewsense
Bzr revision: 112729 [email-masked]
System Description:	gNewSense GNU/Linux 3.0 (parkes)

Configured using:
 `configure CFLAGS=-g -O0'

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: RMAIL

Minor modes in effect:
  shell-dirtrack-mode: t
  gpm-mouse-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
o ESC > RET RET ESC , C-@ C-p C-p C-p C-w C-x C-s C-x 
b R TAB RET ESC , C-_ C-x o r y ESC , C-o RET I SPC 
a m SPC s o r r y SPC t o SPC h e a r SPC i t . SPC 
SPC I t SPC i s SPC a SPC g o o d SPC i d e a SPC t 
o SPC g e t SPC m e d i c a l SPC t r e a t m e n t 
RET i f SPC y o u SPC a r e SPC d e p r e s s e d . 
C-a C-k C-p ESC e SPC SPC C-y C-x C-x ESC c ESC f ESC 
f ESC f C-d C-d , ESC l ESC q C-n . C-p ESC f ESC f 
ESC f ESC f ESC f C-f C-o SPC a n d SPC i t SPC i s 
SPC n o t SPC c a u s e d RET b SPC y SPC DEL DEL DEL 
DEL y SPC DEL DEL b y SPC t h e SPC r e a l SPC s i 
t u a t i o n SPC a r o n d SPC DEL DEL DEL u d SPC 
y o u , SPC ESC q ESC b ESC b C-f C-f C-f C-f n ESC 
q C-n C-n C-x o C-x 1 C-u C-v C-u C-v C-u C-n C-u C-n 
C-n C-u C-v C-u C-v C-u C-v C-u C-v C-u C-v c C-c C-c 
C-d x x m C-x 0 ESC x r e p o r t SPC e m a c s SPC 
b SPC u g DEL DEL RET

Recent messages:
Undo!
Unsent message being composed; erase it? (y or n)  y
Mark set
Auto-saving...done
Mark set
Auto save file for draft message exists; consider M-x mail-recover
Sending...
Wrote /home/rms/outgoing/out-23
Sending...done
Expunging deleted messages...done

Load-path shadows:
/home/rms/emacs-bzr/trunk/lisp/net/shr-color hides /home/rms/emacs-bzr/trunk/lisp/gnus/shr-color
/home/rms/emacs-bzr/trunk/lisp/net/shr hides /home/rms/emacs-bzr/trunk/lisp/gnus/shr

Features:
(shadow emacsbug epa-mail epa derived epg epg-config ispell dired-aux
parse-time vc-cvs sgml-mode quail shell pcomplete grep compile comint
ansi-color rmailout dabbrev novice misearch multi-isearch etags ring
help-mode rmailsum mailalias qp rmailmm message sendmail format-spec
rfc822 mml easymenu mml-sec mm-decode mm-bodies mm-encode mailabbrev
gmm-utils mailheader mail-parse rfc2231 dired t-mouse time-date
finder-inf package rmailedit rmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils paren cus-start cus-load nadvice advice help-fns
tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind inotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)
        [ To any NSA and FBI agents reading my email: please consider
        [ whether defending the US Constitution against all enemies,
        [ foreign or domestic, requires you to follow Snowden's example.

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call.